package ex7;

import ch.usi.dag.disl.annotation.GuardMethod;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

public class IsSynchronizedMethodGuard {
    @GuardMethod
    public static boolean isSynchronizedMethod(MethodStaticContext mc) {
        return mc.isMethodSynchronized();
    }
}
